Summary:	IP bandwidth watchdog
Summary(pl.UTF-8):	Monitor ruchu IP
Name:		ipband
Version:	0.8.1
Release:	1
License:	GPL v2+
Group:		Networking/Utilities
Source0:	http://ipband.sourceforge.net/%{name}-%{version}.tgz
# Source0-md5:	23aa932a6b97be3e831a3f8b31d21e6f
Patch1:		%{name}-PLD_rc.patch
Patch2:		%{name}-paths.patch
URL:		http://ipband.sourceforge.net/
BuildRequires:	libpcap-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ipband is pcap based IP traffic monitor. It listens to a network
interface in promiscuous mode, tallies per-subnet traffic and
bandwidth usage and starts detailed logging if specified threshold for
the specific subnet is exceeded.

This utility could be handy in a limited bandwidth WAN environment
(frame relay, ISDN etc. circuits) to pinpoint offending traffic source
if certain links become saturated to the point where legitimate
packets start getting dropped.

%description -l pl.UTF-8
ipband jest bazującym na pcap monitorem ruchu IP. Słucha na
interfejsie sieciowym w trybie promiscuous, liczy ruch przypadający na
podsieci oraz wykorzystanie pasma i zaczyna szczegółowe logowanie
jeżeli podany próg dla danej podsieci zostanie przekroczony.

To narzędzie może być pomocne w środowisku WAN (frame relay, ISDN) z
ograniczonym pasmem do wykrywania źródła nadmiernego ruchu, kiedy
niektóre łącza stają się wysycone do takiego stopnia, że gubione są
poprawne pakiety.

%prep
%setup -q
%patch -P1 -p1
%patch -P2 -p1

%{__sed} -i -e '/^\t\+strip /d' Makefile

%build
# -fcommon: all global variables are defined in ipband.h
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -fcommon" \
	CPPFLAGS="%{rpmcppflags} -I/usr/include/pcap"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/log

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	RCDIR=/etc/rc.d/init.d \
	SYSCONFDIR=%{_sysconfdir}/ipband

%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/ipband/ipband{.sample,}.conf

touch $RPM_BUILD_ROOT/var/log/ipband.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ipband
%service ipband restart "ipband daemon"

%preun
if [ "$1" = "0" ]; then
	%service ipband stop
	/sbin/chkconfig --del ipband
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_sbindir}/ipband
%dir %{_sysconfdir}/ipband
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ipband/ipband.conf
%attr(754,root,root) /etc/rc.d/init.d/ipband
%attr(640,root,root) %ghost /var/log/ipband.log
%{_mandir}/man8/ipband.8*
%changelog
* Sat Jun 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ipband.git;a=log;h=master

* Sat Jun 28 2025 Jakub Bogusz <qboosh@pld-linux.org> c2050ac
- disable binary stripping

* Sat Jun 28 2025 Jakub Bogusz <qboosh@pld-linux.org> d1457fa
- updated to 0.8.1

* Sat Jun 28 2025 Jakub Bogusz <qboosh@pld-linux.org> ff8c76a
- use patch -P

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 50793b3
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ec957a7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 94464e6
- converted to UTF-8

* Tue Oct 03 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> cfe21a1
- updated for 0.8

* Tue Oct 03 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> 652b1eb
- updated to 0.8
- updated ipband-DESTDIR.patch and ipband-paths.patch

* Thu Jul 13 2006 darekr <darekr@pld-linux.org> 9d4753d
- pass CC, added %doc

* Sun May 21 2006 Elan Ruusamäe <glen@pld-linux.org> 318d92c
- rel 4

* Fri Mar 03 2006 Elan Ruusamäe <glen@pld-linux.org> 02ae320
- use %service and adapterize

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> b1ecd89
- adapterized (sorted %verify attrs)

* Wed Dec 31 2003 Tomasz Pala <gotar@pld-linux.org> deca31e
- added _sysconfdir (/etc/ipband) to the %files,
- release 3

* Fri Aug 22 2003 ankry <ankry@pld-linux.org> e37a5ac
- cosmetics: spaces -> tabs

* Tue Jul 29 2003 Jakub Bogusz <qboosh@pld-linux.org> d953f98
- more specific Requires, more changes where needed

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 0ba55f0
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 5125814
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Nov 11 2002 kloczek <kloczek@pld-linux.org> 4736ec0
- release 2.

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> b891daf
- fixed a small typo

* Mon Apr 08 2002 pioklo <pioklo@linuxpl.com> cfc0859
- up to 0.7.2

